Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.dom
Class VariableDeclarationFragment

    java.lang.Object
      org.eclipse.jdt.core.dom.ASTNode
          org.eclipse.jdt.core.dom.VariableDeclaration
              org.eclipse.jdt.core.dom.VariableDeclarationFragment

public class VariableDeclarationFragment
extends VariableDeclaration

Variable declaration fragment AST node type, used in field declarations, local variable declarations, and `ForStatement` initializers. It contrast to `SingleVariableDeclaration`, fragments are missing the modifiers and the type; these are located in the fragment's parent node.

     VariableDeclarationFragment:
        Identifier { [] } [ = Expression ]

Since:
  2.0

Field Summary
`static SimplePropertyDescriptor` | `EXTRA_DIMENSIONS_PROPERTY` The "extraDimensions" structural property of this node type.
`static ChildPropertyDescriptor` | `INITIALIZER_PROPERTY` The "initializer" structural property of this node type.
`static ChildPropertyDescriptor` | `NAME_PROPERTY` The "name" structural property of this node type.

Fields inherited from class org.eclipse.jdt.core.dom.ASTNode
`ANNOTATION_TYPE_DECLARATION, ANNOTATION_TYPE_MEMBER_DECLARATION, ANONYMOUS_CLASS_DECLARATION, ARRAY_ACCESS, ARRAY_CREATION, ARRAY_INITIALIZER, ARRAY_TYPE, ASSERT_STATEMENT, ASSIGNMENT, BLOCK, BLOCK_COMMENT, BOOLEAN_LITERAL, BREAK_STATEMENT, CAST_EXPRESSION, CATCH_CLAUSE, CHARACTER_LITERAL, CLASS_INSTANCE_CREATION, COMPILATION_UNIT, CONDITIONAL_EXPRESSION, CONSTRUCTOR_INVOCATION, CONTINUE_STATEMENT, DO_STATEMENT, EMPTY_STATEMENT, ENHANCED_FOR_STATEMENT, ENUM_CONSTANT_DECLARATION, ENUM_DECLARATION, EXPRESSION_STATEMENT, FIELD_ACCESS, FIELD_DECLARATION, FOR_STATEMENT, IF_STATEMENT, IMPORT_DECLARATION, INFIX_EXPRESSION, INITIALIZER, INSTANCEOF_EXPRESSION, JAVADOC, LABELED_STATEMENT, LINE_COMMENT, MALFORMED, MARKER_ANNOTATION, MEMBER_REF, MEMBER_VALUE_PAIR, METHOD_DECLARATION, METHOD_INVOCATION, METHOD_REF, METHOD_REF_PARAMETER, MODIFIER, NORMAL_ANNOTATION, NULL_LITERAL, NUMBER_LITERAL, ORIGINAL, PACKAGE_DECLARATION, PARAMETERIZED_TYPE, PARENTHESIZED_EXPRESSION, POSTFIX_EXPRESSION, PREFIX_EXPRESSION, PRIMITIVE_TYPE, PROTECT, QUALIFIED_NAME, QUALIFIED_TYPE, RETURN_STATEMENT, SIMPLE_NAME, SIMPLE_TYPE, SINGLE_MEMBER_ANNOTATION, SINGLE_VARIABLE_DECLARATION, STRING_LITERAL, SUPER_CONSTRUCTOR_INVOCATION, SUPER_FIELD_ACCESS, SUPER_METHOD_INVOCATION, SWITCH_CASE, SWITCH_STATEMENT, SYNCHRONIZED_STATEMENT, TAG_ELEMENT, TEXT_ELEMENT, THIS_EXPRESSION, THROW_STATEMENT, TRY_STATEMENT, TYPE_DECLARATION, TYPE_DECLARATION_STATEMENT, TYPE_LITERAL, TYPE_PARAMETER, VARIABLE_DECLARATION_EXPRESSION, VARIABLE_DECLARATION_FRAGMENT, VARIABLE_DECLARATION_STATEMENT, WHILE_STATEMENT, WILDCARD_TYPE`

Method Summary
`int` | `getExtraDimensions()` Returns the number of extra array dimensions this variable has over and above the type specified in the enclosing declaration.
`Expression` | `getInitializer()` Returns the initializer of this variable declaration, or `null` if there is none.
`SimpleName` | `getName()` Returns the name of the variable declared in this variable declaration.
`static List` | `propertyDescriptors(int apiLevel)` Returns a list of structural property descriptors for this node type.
`void` | `setExtraDimensions(int dimensions)` Sets the number of extra array dimensions this variable has over and above the type specified in the enclosing declaration.
`void` | `setInitializer(Expression initializer)` Sets or clears the initializer of this variable declaration.
`void` | `setName(SimpleName variableName)` Sets the name of the variable declared in this variable declaration to the given name.

Methods inherited from class org.eclipse.jdt.core.dom.VariableDeclaration
`resolveBinding`

Methods inherited from class org.eclipse.jdt.core.dom.ASTNode
`accept, copySubtree, copySubtrees, delete, equals, getAST, getFlags, getLength, getLocationInParent, getNodeType, getParent, getProperty, getRoot, getStartPosition, getStructuralProperty, nodeClassForType, properties, setFlags, setProperty, setSourceRange, setStructuralProperty, structuralPropertiesForType, subtreeBytes, subtreeMatch, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME_PROPERTY

    public static final ChildPropertyDescriptor NAME_PROPERTY

  The "name" structural property of this node type.

  Since:
    3.0

### EXTRA_DIMENSIONS_PROPERTY

    public static final SimplePropertyDescriptor EXTRA_DIMENSIONS_PROPERTY

  The "extraDimensions" structural property of this node type.

  Since:
    3.0

### INITIALIZER_PROPERTY

    public static final ChildPropertyDescriptor INITIALIZER_PROPERTY

  The "initializer" structural property of this node type.

  Since:
    3.0

Method Detail

### propertyDescriptors

    public static List propertyDescriptors(int apiLevel)

  Returns a list of structural property descriptors for this node type. Clients must not modify the result.

  Parameters:
    `apiLevel` - the API level; one of the `AST.JLS*` constants
  Returns:
    a list of property descriptors (element type: `StructuralPropertyDescriptor`)
  Since:
    3.0

### getName

    public SimpleName getName()

  Description copied from class: `VariableDeclaration`
  Returns the name of the variable declared in this variable declaration.

  Specified by:
    `getName` in class `VariableDeclaration`
  Returns:
    the variable name node

### setName

    public void setName(SimpleName variableName)

  Description copied from class: `VariableDeclaration`
  Sets the name of the variable declared in this variable declaration to the given name.

  Specified by:
    `setName` in class `VariableDeclaration`
  Parameters:
    `variableName` - the new variable name

### getExtraDimensions

    public int getExtraDimensions()

  Returns the number of extra array dimensions this variable has over and above the type specified in the enclosing declaration.

  For example, in the AST for `int[] i, j[], k[][]` the variable declaration fragments for the variables `i`, `j`, and `k`, have 0, 1, and 2 extra array dimensions, respectively.

  Specified by:
    `getExtraDimensions` in class `VariableDeclaration`
  Returns:
    the number of extra array dimensions this variable has over and above the type specified in the enclosing declaration
  Since:
    2.0

### setExtraDimensions

    public void setExtraDimensions(int dimensions)

  Sets the number of extra array dimensions this variable has over and above the type specified in the enclosing declaration.

  For example, in the AST for `int[] i, j[], k[][]` the variable declaration fragments for the variables `i`, `j`, and `k`, have 0, 1, and 2 extra array dimensions, respectively.

  Specified by:
    `setExtraDimensions` in class `VariableDeclaration`
  Parameters:
    `dimensions` - the given dimensions
  Since:
    2.0

### getInitializer

    public Expression getInitializer()

  Description copied from class: `VariableDeclaration`
  Returns the initializer of this variable declaration, or `null` if there is none.

  Specified by:
    `getInitializer` in class `VariableDeclaration`
  Returns:
    the initializer expression node, or `null` if there is none

### setInitializer

    public void setInitializer(Expression initializer)

  Description copied from class: `VariableDeclaration`
  Sets or clears the initializer of this variable declaration.

  Specified by:
    `setInitializer` in class `VariableDeclaration`
  Parameters:
    `initializer` - the initializer expression node, or `null` if there is none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.